WCSCASECMP(3)

NAME
wcscasecmp, wcsncasecmp - compare wide-character strings, ignoring case

LIBRARY
libc

SYNOPSIS
#include <wchar.h>
int
wcscasecmp(const wchar_t *s1, const wchar_t *s2);
int
wcsncasecmp(const wchar_t *s1, const wchar_t *s2, size_t len);

DESCRIPTION
The wcscasecmp() and wcsncasecmp() functions compare the nul-terminated strings s1 and s2 and return an integer greater than, equal to, or less than 0, according to whether s1 is lexicographically greater than, equal to, or less than s2 after translation of each corresponding character to lower-case. The strings themselves are not modified.

The wcsncasecmp() compares at most len characters.

SEE ALSO
wcscmp(3)

HISTORY
The wcscasecmp() and wcsncasecmp() functions first appeared in NetBSD 4.0.

NOTES
If len is zero, wcsncasecmp() returns always 0.